Debian Buster and opensource-install.sh

Issues during installation and related to database
Post Reply
wlnx
Posts: 1
Joined: Mon Jan 06, 2020 6:14 pm

Debian Buster and opensource-install.sh

Post by wlnx » Mon Jan 06, 2020 6:39 pm

I try to install community server on top of Debian 10.2 using script from instruction, but something goes wrong.
Script output
# bash opensource-install.sh
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующие НОВЫЕ пакеты будут установлены:
sudo
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 1 244 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 3 878 kB.
Пол:1 http://deb.debian.org/debian buster/main amd64 sudo amd64 1.8.27-1+deb10u1 [1 244 kB]
Получено 1 244 kB за 2с (619 kB/s)
Выбор ранее не выбранного пакета sudo.
(Чтение базы данных … на данный момент установлено 29698 файлов и каталогов.)
Подготовка к распаковке …/sudo_1.8.27-1+deb10u1_amd64.deb …
Распаковывается sudo (1.8.27-1+deb10u1) …
Настраивается пакет sudo (1.8.27-1+deb10u1) …
Обрабатываются триггеры для man-db (2.8.5-2) …
Обрабатываются триггеры для systemd (241-7~deb10u2) …
Сущ:1 http://deb.debian.org/debian buster InRelease
Сущ:2 http://security.debian.org/debian-security buster/updates InRelease
Сущ:3 http://deb.debian.org/debian buster-updates InRelease
Чтение списков пакетов… Готово
Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
Будут установлены следующие дополнительные пакеты:
libcurl4
Следующие НОВЫЕ пакеты будут установлены:
curl libcurl4
Обновлено 0 пакетов, установлено 2 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 596 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 1 123 kB.
Пол:1 http://deb.debian.org/debian buster/main amd64 libcurl4 amd64 7.64.0-4 [332 kB]
Пол:2 http://deb.debian.org/debian buster/main amd64 curl amd64 7.64.0-4 [264 kB]
Получено 596 kB за 1с (494 kB/s)
Выбор ранее не выбранного пакета libcurl4:amd64.
(Чтение базы данных … на данный момент установлено 29819 файлов и каталогов.)
Подготовка к распаковке …/libcurl4_7.64.0-4_amd64.deb …
Распаковывается libcurl4:amd64 (7.64.0-4) …
Выбор ранее не выбранного пакета curl.
Подготовка к распаковке …/curl_7.64.0-4_amd64.deb …
Распаковывается curl (7.64.0-4) …
Настраивается пакет libcurl4:amd64 (7.64.0-4) …
Настраивается пакет curl (7.64.0-4) …
Обрабатываются триггеры для man-db (2.8.5-2) …
Обрабатываются триггеры для libc-bin (2.28-10) …
Select 'Y' to install ONLYOFFICE using Docker (recommended). Select 'N' to install it using RPM/DEB packages.
Please note, that in case you select RPM/DEB installation, you will need to manually install Mail Server and connect it to your ONLYOFFICE installation.
See instructions in our Help Center: http://helpcenter.onlyoffice.com/server ... tings.aspx
Install with Docker [Y/N/C]? n
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 345 100 345 0 0 1153 0 --:--:-- --:--:-- --:--:-- 1153

#######################################
# BOOTSTRAP
#######################################

Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
Следующие НОВЫЕ пакеты будут установлены:
net-tools
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 248 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 1 002 kB.
Пол:1 http://deb.debian.org/debian buster/main amd64 net-tools amd64 1.60+git20180626.aebd88e-1 [248 kB]
Получено 248 kB за 1с (322 kB/s)
Выбор ранее не выбранного пакета net-tools.
(Чтение базы данных … на данный момент установлено 29834 файла и каталога.)
Подготовка к распаковке …/net-tools_1.60+git20180626.aebd88e-1_amd64.deb …
Распаковывается net-tools (1.60+git20180626.aebd88e-1) …
Настраивается пакет net-tools (1.60+git20180626.aebd88e-1) …
Обрабатываются триггеры для man-db (2.8.5-2) …
Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
Будут установлены следующие дополнительные пакеты:
gnupg gnupg-l10n gnupg-utils gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm libassuan0 libksba8 libnpth0 pinentry-curses
Предлагаемые пакеты:
dbus-user-session pinentry-gnome3 tor parcimonie xloadimage scdaemon pinentry-doc
Следующие НОВЫЕ пакеты будут установлены:
dirmngr gnupg gnupg-l10n gnupg-utils gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm libassuan0 libksba8 libnpth0 pinentry-curses
Обновлено 0 пакетов, установлено 14 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 7 089 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 14,9 MB.
Пол:1 http://deb.debian.org/debian buster/main amd64 libassuan0 amd64 2.5.2-1 [49,4 kB]
Пол:2 http://deb.debian.org/debian buster/main amd64 gpgconf amd64 2.2.12-1+deb10u1 [510 kB]
Пол:3 http://deb.debian.org/debian buster/main amd64 libksba8 amd64 1.3.5-2 [99,7 kB]
Пол:4 http://deb.debian.org/debian buster/main amd64 libnpth0 amd64 1.6-1 [18,4 kB]
Пол:5 http://deb.debian.org/debian buster/main amd64 dirmngr amd64 2.2.12-1+deb10u1 [712 kB]
Пол:6 http://deb.debian.org/debian buster/main amd64 gnupg-l10n all 2.2.12-1+deb10u1 [1 010 kB]
Пол:7 http://deb.debian.org/debian buster/main amd64 gnupg-utils amd64 2.2.12-1+deb10u1 [861 kB]
Пол:8 http://deb.debian.org/debian buster/main amd64 gpg amd64 2.2.12-1+deb10u1 [865 kB]
Пол:9 http://deb.debian.org/debian buster/main amd64 pinentry-curses amd64 1.1.0-2 [64,5 kB]
Пол:10 http://deb.debian.org/debian buster/main amd64 gpg-agent amd64 2.2.12-1+deb10u1 [617 kB]
Пол:11 http://deb.debian.org/debian buster/main amd64 gpg-wks-client amd64 2.2.12-1+deb10u1 [485 kB]
Пол:12 http://deb.debian.org/debian buster/main amd64 gpg-wks-server amd64 2.2.12-1+deb10u1 [478 kB]
Пол:13 http://deb.debian.org/debian buster/main amd64 gpgsm amd64 2.2.12-1+deb10u1 [604 kB]
Пол:14 http://deb.debian.org/debian buster/main amd64 gnupg all 2.2.12-1+deb10u1 [715 kB]
Получено 7 089 kB за 14с (491 kB/s)
Выбор ранее не выбранного пакета libassuan0:amd64.
(Чтение базы данных … на данный момент установлен 29891 файл и каталог.)
Подготовка к распаковке …/00-libassuan0_2.5.2-1_amd64.deb …
Распаковывается libassuan0:amd64 (2.5.2-1) …
Выбор ранее не выбранного пакета gpgconf.
Подготовка к распаковке …/01-gpgconf_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gpgconf (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета libksba8:amd64.
Подготовка к распаковке …/02-libksba8_1.3.5-2_amd64.deb …
Распаковывается libksba8:amd64 (1.3.5-2) …
Выбор ранее не выбранного пакета libnpth0:amd64.
Подготовка к распаковке …/03-libnpth0_1.6-1_amd64.deb …
Распаковывается libnpth0:amd64 (1.6-1) …
Выбор ранее не выбранного пакета dirmngr.
Подготовка к распаковке …/04-dirmngr_2.2.12-1+deb10u1_amd64.deb …
Распаковывается dirmngr (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gnupg-l10n.
Подготовка к распаковке …/05-gnupg-l10n_2.2.12-1+deb10u1_all.deb …
Распаковывается gnupg-l10n (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gnupg-utils.
Подготовка к распаковке …/06-gnupg-utils_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gnupg-utils (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gpg.
Подготовка к распаковке …/07-gpg_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gpg (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета pinentry-curses.
Подготовка к распаковке …/08-pinentry-curses_1.1.0-2_amd64.deb …
Распаковывается pinentry-curses (1.1.0-2) …
Выбор ранее не выбранного пакета gpg-agent.
Подготовка к распаковке …/09-gpg-agent_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gpg-agent (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gpg-wks-client.
Подготовка к распаковке …/10-gpg-wks-client_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gpg-wks-client (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gpg-wks-server.
Подготовка к распаковке …/11-gpg-wks-server_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gpg-wks-server (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gpgsm.
Подготовка к распаковке …/12-gpgsm_2.2.12-1+deb10u1_amd64.deb …
Распаковывается gpgsm (2.2.12-1+deb10u1) …
Выбор ранее не выбранного пакета gnupg.
Подготовка к распаковке …/13-gnupg_2.2.12-1+deb10u1_all.deb …
Распаковывается gnupg (2.2.12-1+deb10u1) …
Настраивается пакет libksba8:amd64 (1.3.5-2) …
Настраивается пакет libnpth0:amd64 (1.6-1) …
Настраивается пакет libassuan0:amd64 (2.5.2-1) …
Настраивается пакет gnupg-l10n (2.2.12-1+deb10u1) …
Настраивается пакет gpgconf (2.2.12-1+deb10u1) …
Настраивается пакет gpg (2.2.12-1+deb10u1) …
Настраивается пакет gnupg-utils (2.2.12-1+deb10u1) …
Настраивается пакет pinentry-curses (1.1.0-2) …
Настраивается пакет gpg-agent (2.2.12-1+deb10u1) …
Настраивается пакет gpgsm (2.2.12-1+deb10u1) …
Настраивается пакет dirmngr (2.2.12-1+deb10u1) …
Настраивается пакет gpg-wks-server (2.2.12-1+deb10u1) …
Настраивается пакет gpg-wks-client (2.2.12-1+deb10u1) …
Настраивается пакет gnupg (2.2.12-1+deb10u1) …
Обрабатываются триггеры для man-db (2.8.5-2) …
Обрабатываются триггеры для libc-bin (2.28-10) …
deb http://download.onlyoffice.com/repo/debian squeeze main
Executing: /tmp/apt-key-gpghome.XNn7istEjg/gpg.1.sh --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys CB2DE8E5
gpg: ключ 8320CA65CB2DE8E5: импортирован открытый ключ "Ascensio System Limited (ONLYOFFICE) <support@onlyoffice.com>"
gpg: Всего обработано: 1
gpg: импортировано: 1
install-Debian.sh: строка 62: предупреждение: setlocale: LC_ALL: не удаётся изменить язык (en_US.UTF-8)
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 2672 100 2672 0 0 2962 0 --:--:-- --:--:-- --:--:-- 2959
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 1675 100 1675 0 0 4601 0 --:--:-- --:--:-- --:--:-- 4601

#######################################
# CHECK PORTS
#######################################

% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 6405 100 6405 0 0 9559 0 --:--:-- --:--:-- --:--:-- 9545

#######################################
# INSTALL PREREQUISITES
#######################################

Hit:1 http://security.debian.org/debian-security buster/updates InRelease
Hit:2 http://deb.debian.org/debian buster InRelease
Get:3 http://download.onlyoffice.com/repo/debian squeeze InRelease [14.3 kB]
Hit:4 http://deb.debian.org/debian buster-updates InRelease
Get:5 http://download.onlyoffice.com/repo/debian squeeze/main amd64 Packages [4982 B]
Get:6 http://ftp.uk.debian.org/debian buster InRelease [122 kB]
Get:7 http://ftp.uk.debian.org/debian buster/contrib Sources [43.1 kB]
Get:8 http://ftp.uk.debian.org/debian buster/main Sources [7832 kB]
Get:9 http://ftp.uk.debian.org/debian buster/main amd64 Packages [7908 kB]
Get:10 http://ftp.uk.debian.org/debian buster/main Translation-ru [516 kB]
Get:11 http://ftp.uk.debian.org/debian buster/main Translation-en [5969 kB]
Get:12 http://ftp.uk.debian.org/debian buster/contrib amd64 Packages [51.0 kB]
Get:13 http://ftp.uk.debian.org/debian buster/contrib Translation-en [44.7 kB]
Fetched 22.5 MB in 34s (660 kB/s)
Reading package lists... Done
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
apt-transport-https
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 149 kB of archives.
After this operation, 156 kB of additional disk space will be used.
Get:1 http://deb.debian.org/debian buster/main amd64 apt-transport-https all 1.8.2 [149 kB]
Fetched 149 kB in 0s (698 kB/s)
apt-listchanges: Can't set locale; make sure $LC_* and $LANG are correct!
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Selecting previously unselected package apt-transport-https.
(Reading database ... 30124 files and directories currently installed.)
Preparing to unpack .../apt-transport-https_1.8.2_all.deb ...
Unpacking apt-transport-https (1.8.2) ...
Setting up apt-transport-https (1.8.2) ...
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
gir1.2-glib-2.0 gir1.2-packagekitglib-1.0 libappstream4 libgirepository-1.0-1 libglib2.0-bin libgstreamer1.0-0 libpackagekit-glib2-18 libpolkit-agent-1-0 libpolkit-backend-1-0
libpolkit-gobject-1-0 libstemmer0d libyaml-0-2 packagekit packagekit-tools policykit-1 python3-dbus python3-distro-info python3-gi python3-software-properties unattended-upgrades
Suggested packages:
gstreamer1.0-tools appstream python-dbus-doc python3-dbus-dbg bsd-mailx default-mta | mail-transport-agent needrestart
The following NEW packages will be installed:
gir1.2-glib-2.0 gir1.2-packagekitglib-1.0 libappstream4 libgirepository-1.0-1 libglib2.0-bin libgstreamer1.0-0 libpackagekit-glib2-18 libpolkit-agent-1-0 libpolkit-backend-1-0
libpolkit-gobject-1-0 libstemmer0d libyaml-0-2 packagekit packagekit-tools policykit-1 python3-dbus python3-distro-info python3-gi python3-software-properties software-properties-common
unattended-upgrades
0 upgraded, 21 newly installed, 0 to remove and 0 not upgraded.
Need to get 4165 kB of archives.
After this operation, 13.8 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian buster/main amd64 libgirepository-1.0-1 amd64 1.58.3-2 [92.8 kB]
Get:2 http://deb.debian.org/debian buster/main amd64 gir1.2-glib-2.0 amd64 1.58.3-2 [143 kB]
Get:3 http://deb.debian.org/debian buster/main amd64 libpackagekit-glib2-18 amd64 1.1.12-5 [116 kB]
Get:4 http://deb.debian.org/debian buster/main amd64 gir1.2-packagekitglib-1.0 amd64 1.1.12-5 [35.9 kB]
Get:5 http://deb.debian.org/debian buster/main amd64 libstemmer0d amd64 0+svn585-1+b2 [63.3 kB]
Get:6 http://deb.debian.org/debian buster/main amd64 libyaml-0-2 amd64 0.2.1-1 [47.2 kB]
Get:7 http://deb.debian.org/debian buster/main amd64 libappstream4 amd64 0.12.5-1 [110 kB]
Get:8 http://deb.debian.org/debian buster/main amd64 libglib2.0-bin amd64 2.58.3-2+deb10u2 [126 kB]
Get:9 http://deb.debian.org/debian buster/main amd64 libgstreamer1.0-0 amd64 1.14.4-1 [2103 kB]
Get:10 http://deb.debian.org/debian buster/main amd64 libpolkit-gobject-1-0 amd64 0.105-25 [45.9 kB]
Get:11 http://deb.debian.org/debian buster/main amd64 libpolkit-agent-1-0 amd64 0.105-25 [26.1 kB]
Get:12 http://deb.debian.org/debian buster/main amd64 libpolkit-backend-1-0 amd64 0.105-25 [48.0 kB]
Get:13 http://deb.debian.org/debian buster/main amd64 policykit-1 amd64 0.105-25 [64.0 kB]
Get:14 http://deb.debian.org/debian buster/main amd64 packagekit amd64 1.1.12-5 [593 kB]
Get:15 http://deb.debian.org/debian buster/main amd64 packagekit-tools amd64 1.1.12-5 [46.9 kB]
Get:16 http://deb.debian.org/debian buster/main amd64 python3-dbus amd64 1.2.8-3 [103 kB]
Get:17 http://deb.debian.org/debian buster/main amd64 python3-distro-info all 0.21 [7896 B]
Get:18 http://deb.debian.org/debian buster/main amd64 python3-gi amd64 3.30.4-1 [180 kB]
Get:19 http://deb.debian.org/debian buster/main amd64 python3-software-properties all 0.96.20.2-2 [49.6 kB]
Get:20 http://deb.debian.org/debian buster/main amd64 software-properties-common all 0.96.20.2-2 [83.3 kB]
Get:21 http://deb.debian.org/debian buster/main amd64 unattended-upgrades all 1.11.2 [79.0 kB]
Fetched 4165 kB in 5s (809 kB/s)
apt-listchanges: Can't set locale; make sure $LC_* and $LANG are correct!
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Preconfiguring packages ...
Selecting previously unselected package libgirepository-1.0-1:amd64.
(Reading database ... 30128 files and directories currently installed.)
Preparing to unpack .../00-libgirepository-1.0-1_1.58.3-2_amd64.deb ...
Unpacking libgirepository-1.0-1:amd64 (1.58.3-2) ...
Selecting previously unselected package gir1.2-glib-2.0:amd64.
Preparing to unpack .../01-gir1.2-glib-2.0_1.58.3-2_amd64.deb ...
Unpacking gir1.2-glib-2.0:amd64 (1.58.3-2) ...
Selecting previously unselected package libpackagekit-glib2-18:amd64.
Preparing to unpack .../02-libpackagekit-glib2-18_1.1.12-5_amd64.deb ...
Unpacking libpackagekit-glib2-18:amd64 (1.1.12-5) ...
Selecting previously unselected package gir1.2-packagekitglib-1.0.
Preparing to unpack .../03-gir1.2-packagekitglib-1.0_1.1.12-5_amd64.deb ...
Unpacking gir1.2-packagekitglib-1.0 (1.1.12-5) ...
Selecting previously unselected package libstemmer0d:amd64.
Preparing to unpack .../04-libstemmer0d_0+svn585-1+b2_amd64.deb ...
Unpacking libstemmer0d:amd64 (0+svn585-1+b2) ...
Selecting previously unselected package libyaml-0-2:amd64.
Preparing to unpack .../05-libyaml-0-2_0.2.1-1_amd64.deb ...
Unpacking libyaml-0-2:amd64 (0.2.1-1) ...
Selecting previously unselected package libappstream4:amd64.
Preparing to unpack .../06-libappstream4_0.12.5-1_amd64.deb ...
Unpacking libappstream4:amd64 (0.12.5-1) ...
Selecting previously unselected package libglib2.0-bin.
Preparing to unpack .../07-libglib2.0-bin_2.58.3-2+deb10u2_amd64.deb ...
Unpacking libglib2.0-bin (2.58.3-2+deb10u2) ...
Selecting previously unselected package libgstreamer1.0-0:amd64.
Preparing to unpack .../08-libgstreamer1.0-0_1.14.4-1_amd64.deb ...
Unpacking libgstreamer1.0-0:amd64 (1.14.4-1) ...
Selecting previously unselected package libpolkit-gobject-1-0:amd64.
Preparing to unpack .../09-libpolkit-gobject-1-0_0.105-25_amd64.deb ...
Unpacking libpolkit-gobject-1-0:amd64 (0.105-25) ...
Selecting previously unselected package libpolkit-agent-1-0:amd64.
Preparing to unpack .../10-libpolkit-agent-1-0_0.105-25_amd64.deb ...
Unpacking libpolkit-agent-1-0:amd64 (0.105-25) ...
Selecting previously unselected package libpolkit-backend-1-0:amd64.
Preparing to unpack .../11-libpolkit-backend-1-0_0.105-25_amd64.deb ...
Unpacking libpolkit-backend-1-0:amd64 (0.105-25) ...
Selecting previously unselected package policykit-1.
Preparing to unpack .../12-policykit-1_0.105-25_amd64.deb ...
Unpacking policykit-1 (0.105-25) ...
Selecting previously unselected package packagekit.
Preparing to unpack .../13-packagekit_1.1.12-5_amd64.deb ...
Unpacking packagekit (1.1.12-5) ...
Selecting previously unselected package packagekit-tools.
Preparing to unpack .../14-packagekit-tools_1.1.12-5_amd64.deb ...
Unpacking packagekit-tools (1.1.12-5) ...
Selecting previously unselected package python3-dbus.
Preparing to unpack .../15-python3-dbus_1.2.8-3_amd64.deb ...
Unpacking python3-dbus (1.2.8-3) ...
Selecting previously unselected package python3-distro-info.
Preparing to unpack .../16-python3-distro-info_0.21_all.deb ...
Unpacking python3-distro-info (0.21) ...
Selecting previously unselected package python3-gi.
Preparing to unpack .../17-python3-gi_3.30.4-1_amd64.deb ...
Unpacking python3-gi (3.30.4-1) ...
Selecting previously unselected package python3-software-properties.
Preparing to unpack .../18-python3-software-properties_0.96.20.2-2_all.deb ...
Unpacking python3-software-properties (0.96.20.2-2) ...
Selecting previously unselected package software-properties-common.
Preparing to unpack .../19-software-properties-common_0.96.20.2-2_all.deb ...
Unpacking software-properties-common (0.96.20.2-2) ...
Selecting previously unselected package unattended-upgrades.
Preparing to unpack .../20-unattended-upgrades_1.11.2_all.deb ...
Unpacking unattended-upgrades (1.11.2) ...
Setting up python3-dbus (1.2.8-3) ...
Setting up libyaml-0-2:amd64 (0.2.1-1) ...
Setting up libglib2.0-bin (2.58.3-2+deb10u2) ...
Setting up libpackagekit-glib2-18:amd64 (1.1.12-5) ...
Setting up python3-software-properties (0.96.20.2-2) ...
Setting up libgirepository-1.0-1:amd64 (1.58.3-2) ...
Setting up libstemmer0d:amd64 (0+svn585-1+b2) ...
Setting up python3-distro-info (0.21) ...
Setting up libpolkit-gobject-1-0:amd64 (0.105-25) ...
Setting up libgstreamer1.0-0:amd64 (1.14.4-1) ...
Setcap worked! gst-ptp-helper is not suid!
Setting up libpolkit-backend-1-0:amd64 (0.105-25) ...
Setting up libappstream4:amd64 (0.12.5-1) ...
Setting up unattended-upgrades (1.11.2) ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)

Creating config file /etc/apt/apt.conf.d/50unattended-upgrades with new version
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
Created symlink /etc/systemd/system/multi-user.target.wants/unattended-upgrades.service → /lib/systemd/system/unattended-upgrades.service.
Synchronizing state of unattended-upgrades.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable unattended-upgrades
Setting up gir1.2-glib-2.0:amd64 (1.58.3-2) ...
Setting up libpolkit-agent-1-0:amd64 (0.105-25) ...
Setting up policykit-1 (0.105-25) ...
Setting up gir1.2-packagekitglib-1.0 (1.1.12-5) ...
Setting up python3-gi (3.30.4-1) ...
Setting up packagekit (1.1.12-5) ...
Setting up packagekit-tools (1.1.12-5) ...
Setting up software-properties-common (0.96.20.2-2) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for systemd (241-7~deb10u2) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for dbus (1.12.16-1) ...
Generating locales (this might take a while)...
ru_RU.UTF-8... done
Generation complete.
deb http://download.mono-project.com/repo/debian stable-buster/snapshots/6.6 main
Executing: /tmp/apt-key-gpghome.osgfQWoSND/gpg.1.sh --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
gpg: key A6A19B38D3D831EF: public key "Xamarin Public Jenkins (auto-signing) <releng@xamarin.com>" imported
gpg: Total number processed: 1
gpg: imported: 1
OK
deb https://artifacts.elastic.co/packages/6.x/apt stable main
deb https://deb.nodesource.com/node_8.x buster main
OK
Hit:1 http://security.debian.org/debian-security buster/updates InRelease
Hit:2 http://deb.debian.org/debian buster InRelease
Hit:3 http://deb.debian.org/debian buster-updates InRelease
Get:4 https://artifacts.elastic.co/packages/6.x/apt stable InRelease [7124 B]
Hit:5 http://ftp.uk.debian.org/debian buster InRelease
Hit:6 http://download.onlyoffice.com/repo/debian squeeze InRelease
Get:7 http://download.mono-project.com/repo/debian stable-buster/snapshots/6.6 InRelease [5874 B]
Get:8 https://artifacts.elastic.co/packages/6.x/apt stable/main amd64 Packages [58.3 kB]
Get:9 https://deb.nodesource.com/node_8.x buster InRelease [4619 B]
Get:10 http://download.mono-project.com/repo/debian stable-buster/snapshots/6.6/main amd64 Packages [48.7 kB]
Get:11 https://deb.nodesource.com/node_8.x buster/main Sources [761 B]
Get:12 https://deb.nodesource.com/node_8.x buster/main amd64 Packages [1008 B]
Fetched 126 kB in 1s (98.3 kB/s)
Reading package lists... Done
W: Conflicting distribution: http://download.mono-project.com/repo/debian stable-buster/snapshots/6.6 InRelease (expected stable-buster/snapshots/6.6 but got buster)
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 267 100 267 0 0 306 0 --:--:-- --:--:-- --:--:-- 305
0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
100 35564 100 35564 0 0 15605 0 0:00:02 0:00:02 --:--:-- 2377k
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Selecting previously unselected package mysql-apt-config.
(Reading database ... 30676 files and directories currently installed.)
Preparing to unpack mysql-apt-config_0.8.14-1_all.deb ...
Unpacking mysql-apt-config (0.8.14-1) ...
Setting up mysql-apt-config (0.8.14-1) ...
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
Warning: apt-key should not be used in scripts (called from postinst maintainerscript of the package mysql-apt-config)
OK
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US:en",
LC_ALL = "en_US.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Hit:1 http://download.mono-project.com/repo/debian stable-buster/snapshots/6.6 InRelease
Hit:2 http://deb.debian.org/debian buster InRelease
Hit:3 http://security.debian.org/debian-security buster/updates InRelease
Hit:4 https://artifacts.elastic.co/packages/6.x/apt stable InRelease
Hit:5 http://deb.debian.org/debian buster-updates InRelease
Hit:6 http://ftp.uk.debian.org/debian buster InRelease
Hit:7 http://download.onlyoffice.com/repo/debian squeeze InRelease
Hit:8 https://deb.nodesource.com/node_8.x buster InRelease
Get:9 http://repo.mysql.com/apt/debian buster InRelease [21.5 kB]
Get:10 http://repo.mysql.com/apt/debian buster/mysql-8.0 Sources [946 B]
Get:11 http://repo.mysql.com/apt/debian buster/mysql-apt-config amd64 Packages [566 B]
Get:12 http://repo.mysql.com/apt/debian buster/mysql-8.0 amd64 Packages [7564 B]
Get:13 http://repo.mysql.com/apt/debian buster/mysql-tools amd64 Packages [4377 B]
Fetched 34.9 kB in 2s (21.6 kB/s)
Reading package lists... Done
W: Conflicting distribution: http://download.mono-project.com/repo/debian stable-buster/snapshots/6.6 InRelease (expected stable-buster/snapshots/6.6 but got buster)
Reading package lists...
Building dependency tree...
Reading state information...
Package openjdk-8-jre-headless is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'openjdk-8-jre-headless' has no installation candidate
Debian packages tell us that openjdk-8-jre-headless exists only in Stretch and unstable.
Is community server incompatible to Buster yet or am I doing something wrong?

Thanks in advance.

MikhailS
Posts: 16
Joined: Tue Sep 10, 2019 3:31 pm

Re: Debian Buster and opensource-install.sh

Post by MikhailS » Tue Jan 07, 2020 8:55 am

We are looking into the issue. I will notify you when I have something to share.

MikhailS
Posts: 16
Joined: Tue Sep 10, 2019 3:31 pm

Re: Debian Buster and opensource-install.sh

Post by MikhailS » Mon Jan 13, 2020 8:35 am

We reproduced this problem and added the bug to our internal tracking system.

We are working on the solution of the problem and as soon as it is found we will release it in one of the next versions of the Community Server, but I can’t say the exact dates.

Post Reply